<div align="center">

<h2>generator-create-docusaurus: quickly create documentation websites.</h2>
<p>No more excuses not to have a quick documentation site for your project. Use `generator-create-docusaurus` to quickly get up and running</p>

  <hr />

[![MIT License][license-badge]][license]
[![PRs Welcome][prs-badge]][prs]
[![All Contributors](https://img.shields.io/badge/all_contributors-11-orange.svg?style=flat-square)](#contributors)

[![Watch on GitHub][github-watch-badge]][github-watch]
[![Star on GitHub][github-star-badge]][github-star]

[Donate ☕](https://www.paypal.me/boyney123/5)

<hr />

<img alt="header" src="./images/demo.gif" />

  <h3>Features: Setup within minutes, feature examples, docs example and more...</h3>

</div>

<hr/>

# The problem

When building tools for developers we should really write documentation on how to use our tools.

[Docusaurus](https://docusaurus.io/) is a great tool to help building documentation websites, but you still have to edit various files to get it ready for production.

This project was created to enable fast development of documentation websites combining different technologies.

# This solution

This project uses [Docusaurusoc](https://docusaurus.io/) combined with [yeoman](https://yeoman.io/) to enable rapid spin up of documentation sites.

This project was inspired and uses code from:

- [create-react-app](https://github.com/facebook/create-react-app)
- [Kent C. Dodds open source generator](https://github.com/kentcdodds/generator-kcd-oss)
- [Sindresorhus node generator](https://github.com/sindresorhus/generator-nm)

# Getting Started

_Make sure you have yeoman installed_

```sh
npm install -g yeoman
```

```sh
npm install -g generator-create-docusaurus
```

Next create your new documentation directory and run this command within it

```sh
  yo create-docusaurus
```

Once everything is installed go to [http://localhost:3000](http://localhost:3000) to see your new documentation website!

# Contributing

If you have any questions, features or issues please raise any issue or pull requests you like.

[license-badge]: https://img.shields.io/github/license/boyney123/generator-create-docusaurus.svg?color=yellow
[license]: https://github.com/boyney123/generator-create-docusaurus/blob/master/LICENSE
[prs-badge]: https://img.shields.io/badge/PRs-welcome-brightgreen.svg?style=flat-square
[prs]: http://makeapullrequest.com
[github-watch-badge]: https://img.shields.io/github/watchers/boyney123/generator-create-docusaurus.svg?style=social
[github-watch]: https://github.com/boyney123/generator-create-docusaurus/watchers
[github-star-badge]: https://img.shields.io/github/stars/boyney123/generator-create-docusaurus.svg?style=social
[github-star]: https://github.com/boyney123/generator-create-docusaurus/stargazers

# Donating

If you find this tool useful, feel free to buy me a ☕ 👍

[Buy a drink](https://www.paypal.me/boyney123/5)

# License

MIT.

## Contributors

Thanks goes to these wonderful people ([emoji key](https://allcontributors.org/docs/en/emoji-key)):

<!-- ALL-CONTRIBUTORS-LIST:START - Do not remove or modify this section -->
<!-- prettier-ignore -->
<table><tr><td align="center"><a href="https://medium.com/@boyney123"><img src="https://avatars1.githubusercontent.com/u/3268013?v=4" width="100px;" alt="David Boyne"/><br /><sub><b>David Boyne</b></sub></a><br /><a href="https://github.com/boyney123/mockit/commits?author=boyney123" title="Code">💻</a> <a href="https://github.com/boyney123/mockit/commits?author=boyney123" title="Documentation">📖</a> <a href="#design-boyney123" title="Design">🎨</a> <a href="#ideas-boyney123" title="Ideas, Planning, & Feedback">🤔</a> <a href="#review-boyney123" title="Reviewed Pull Requests">👀</a> <a href="#tool-boyney123" title="Tools">🔧</a></td></tr></table>

<!-- ALL-CONTRIBUTORS-LIST:END -->

This project follows the [all-contributors](https://github.com/all-contributors/all-contributors) specification. Contributions of any kind welcome!
